Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 479814 - sys-kernel/vanilla-eol-sources - ?
Summary: sys-kernel/vanilla-eol-sources - ?
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Default Assignee for New Packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-05 10:02 UTC by C.J. Wijtmans
Modified: 2014-01-13 13:58 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description C.J. Wijtmans 2013-08-05 10:02:55 UTC
I would like to see a vanilla-eol-sources package for the EOL kernels.
There are a few good reasons for this. One for example the private nvidia drivers are most likely ready for the EOL sources. Also they are more stable most likely than updating to the first source of a new cycle. We can advice people to use the EOL sources instead of the normal vanilla sources.
Comment 1 C.J. Wijtmans 2013-08-28 14:54:10 UTC
how about slotting the EOL kernels in the vanilla-sources package to EOL? is that possible?
Comment 2 C.J. Wijtmans 2013-08-28 14:54:10 UTC
how about slotting the EOL kernels in the vanilla-sources package to EOL? is that possible?
Comment 3 Agostino Sarubbo gentoo-dev 2013-08-29 13:16:47 UTC
Greg, what do you think as upstream? Imho, it does not make much sense.
Comment 4 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-08-29 13:31:33 UTC
(In reply to C.J. Wijtmans from comment #0)
> I would like to see a vanilla-eol-sources package for the EOL kernels.

Two packages should be avoided if possible.

> There are a few good reasons for this.

Note that there are also bad reasons; for example, security.

> One for example the private nvidia drivers are most likely ready for the EOL sources.
> Also they are more stable most likely than updating to the first source of a new cycle.

They are very ready for the LTS releases, which are more stable than EOL.

> We can advice people to use the EOL sources instead of the normal vanilla sources.

This doesn't sounds like a good idea, both upstream and downstream we want people to upgrade away from them.

(In reply to C.J. Wijtmans from comment #2)
> how about slotting the EOL kernels in the vanilla-sources package to EOL? is
> that possible?

If we would at all do this we would add these as masked because of those bad reasons; but if we do that, consider that work to unmask it compared to the work to bring a version back using your local overlay is rather minimal.

EBUILD="/usr/local/portage/sys-kernel/vanilla-sources/vanilla-sources-X.Y.Z.ebuild" ; cp $(equery w sys-kernel/vanilla-sources) ${EBUILD} ; ebuild ${EBUILD} manifest

Now, if we look for a way for it to become easier than to mask them; they could for instance be placed on the graveyard overlay:

http://www.gossamer-threads.com/lists/gentoo/dev/268298

CC-ed the kernel team for a second opinion.
Comment 5 Greg Kroah-Hartman (RETIRED) gentoo-dev 2013-08-29 19:24:37 UTC
No, this isn't ok, those trees are EOLed for a reason, and no security updates are there for them, and they are now obsolete and should not be used at all.
Comment 6 Agostino Sarubbo gentoo-dev 2013-08-30 15:09:36 UTC
@ C.J. Wijtmans:

http://blogs.gentoo.org/ago/2013/08/30/use-an-eol-kernel/
Comment 7 C.J. Wijtmans 2013-08-30 16:57:42 UTC
I still wish to have some kind of package or slot where the nvidia driver is supporting the kernel.. any ideas?
Comment 8 Greg Kroah-Hartman (RETIRED) gentoo-dev 2013-08-30 17:04:13 UTC
The vanilla kernels do not care about the closed-source nvidia drivers, sorry, you are on your own there, I am not allowed to help you out at all.

As was pointed out, you can provide your own overlay for this, or use the gentoo-sources package and disable the added-on patches (with the new config option), but the vanilla-sources packages are not going to do this, sorry.
Comment 9 Jeroen Roovers gentoo-dev 2013-08-30 17:05:33 UTC
A stable 3.4.60 would cover all versions of nvidia-drivers, but then you'd still be stuck with ancient versions of xorg-server.
Comment 10 C.J. Wijtmans 2013-08-30 17:10:03 UTC
i am talking nvidia supporting the kernel not the other way around.
Comment 11 Jeroen Roovers gentoo-dev 2013-08-31 13:49:35 UTC
(In reply to C.J. Wijtmans from comment #10)
> i am talking nvidia supporting the kernel not the other way around.

I don't see what you mean.